<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>
<AnchorPane xmlns:fx="http://javafx.com/fxml/1" fx:id="mainProcedureAnchorPane" maxHeight="1.7976931348623157E308"
            maxWidth="1.7976931348623157E308" prefHeight="600.0" prefWidth="1000.0"
            stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8"
            fx:controller="seng302.GUI.Procedures.UserMedicalProceduresTabController">
   <GridPane AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
     <columnConstraints>
       <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0" />
       <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0" />
     </columnConstraints>
     <rowConstraints>
       <RowConstraints maxHeight="-Infinity" minHeight="10.0" prefHeight="130.0" vgrow="SOMETIMES" />
       <RowConstraints maxHeight="-Infinity" minHeight="30.0" prefHeight="50.0" vgrow="SOMETIMES" />
       <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
     </rowConstraints>
      <children>
          <AnchorPane fx:id="procedureFunctionalityContainer" prefHeight="113.0" prefWidth="977.0" GridPane.columnSpan="2147483647">
              <Label id="textElement" layoutX="701.0" layoutY="5.0" prefHeight="19.0" prefWidth="293.0" text="Donated organs that will be affected" AnchorPane.rightAnchor="6.0" AnchorPane.topAnchor="5.0" />
              <ListView fx:id="donatedOrgansDisplay" layoutX="708.0" layoutY="30.0" prefHeight="90.0" prefWidth="279.0" AnchorPane.rightAnchor="20.0" AnchorPane.topAnchor="30.0" />
              <Button fx:id="addProcedure" layoutX="230.0" layoutY="88.0" mnemonicParsing="false" onAction="#addProcedure" prefHeight="26.0" prefWidth="200.0" text="Add Procedure" AnchorPane.topAnchor="90.0" />
              <DatePicker fx:id="procedureDateInput" layoutX="10.0" layoutY="88.0" AnchorPane.leftAnchor="10.0" AnchorPane.topAnchor="90.0" />
              <Label id="textElement" layoutX="445.0" layoutY="5.0" prefHeight="16.0" prefWidth="110.0" text="Description" AnchorPane.topAnchor="5.0" />
              <Label id="textElement" layoutX="14.0" layoutY="8.0" prefHeight="16.0" prefWidth="110.0" text="Summary" AnchorPane.leftAnchor="10.0" AnchorPane.topAnchor="5.0" />
              <TextArea fx:id="summaryInput" layoutX="14.0" layoutY="30.0" prefHeight="46.0" prefWidth="420.0" AnchorPane.leftAnchor="10.0" AnchorPane.topAnchor="30.0" />
              <TextArea fx:id="descriptionInput" layoutX="447.0" layoutY="30.0" prefHeight="90.0" prefWidth="238.0" AnchorPane.topAnchor="30.0" />
          </AnchorPane>
          <TableView fx:id="pastProceduresTableView" editable="true" prefHeight="407.0" prefWidth="420.0" GridPane.rowIndex="2">
              <columns>
                  <TableColumn fx:id="pastProceduresDateOfProceduresColumn" maxWidth="1.7976931348623157E308"
                               minWidth="-1.0" prefWidth="-1.0" sortType="DESCENDING" text="Date"/>
                  <TableColumn fx:id="pastProceduresSummaryColumn" maxWidth="1.7976931348623157E308" minWidth="-1.0"
                               prefWidth="-1.0" text="Summary"/>
              </columns>
            <GridPane.margin>
               <Insets bottom="10.0" left="10.0" right="5.0" />
            </GridPane.margin>
          </TableView>
          <Text id="textElementBold" strokeType="OUTSIDE" strokeWidth="0.0" text="Past Procedures" GridPane.rowIndex="1">
              <font>
                  <Font size="20.0" />
              </font>
            <GridPane.margin>
               <Insets left="10.0" />
            </GridPane.margin>
          </Text>
          <TableView fx:id="pendingProceduresTableView" editable="true" prefHeight="407.0" prefWidth="420.0" GridPane.columnIndex="1" GridPane.rowIndex="2">
              <columns>
                  <TableColumn fx:id="pendingProceduresDateOfProceduresColumn" maxWidth="1.7976931348623157E308"
                               minWidth="-1.0" prefWidth="-1.0" sortType="DESCENDING" text="Date"/>
                  <TableColumn fx:id="pendingProceduresSummaryColumn" maxWidth="1.7976931348623157E308" minWidth="-1.0"
                               prefWidth="-1.0" text="Summary"/>
              </columns>
            <GridPane.margin>
               <Insets bottom="10.0" left="5.0" right="10.0" />
            </GridPane.margin>
          </TableView>
          <Text id="textElementBold" strokeType="OUTSIDE" strokeWidth="0.0" text="Pending Procedures" GridPane.columnIndex="1" GridPane.rowIndex="1">
              <font>
                  <Font size="20.0" />
              </font>
            <GridPane.margin>
               <Insets left="10.0" />
            </GridPane.margin>
          </Text>
      </children>
   </GridPane>
</AnchorPane>
